package thyyxxk.webserver.entity.medicalinsurance.download;

import java.io.Serializable;

import lombok.Data;

@Data
public class SiDlTmrMrphlgy implements Serializable {

	private static final long serialVersionUID =  1981157621209949418L;

	/**
	 * 肿瘤形态学Id
	 */
	private String code;

	/**
	 * 肿瘤/细胞类型代码
	 */
	private String tumorCellTypeCode;

	/**
	 * 肿瘤/细胞类型
	 */
	private String tumorCellType;

	/**
	 * 形态学分类代码
	 */
	private String morphologyClassificationCode;

	/**
	 * 形态学分类
	 */
	private String morphologicalClassification;

	/**
	 * 有效标志
	 */
	private String validFlag;

	/**
	 * 唯一记录号
	 */
	private String uniqueRecordNumber;

	/**
	 * 数据创建时间
	 */
	private String dataCreationTime;

	/**
	 * 数据更新时间
	 */
	private String dataUpdateTime;

	/**
	 * 版本号
	 */
	private String versionNumber;

	/**
	 * 版本名称
	 */
	private String versionName;

	public SiDlTmrMrphlgy() {
	}

	public SiDlTmrMrphlgy(String tempstr) {
		String[] tempArr = tempstr.split("\t");
		int maxLength = Math.max(tempArr.length, 11);
		String[] arr = new String[maxLength];
		for (int i = 0; i < tempArr.length; i++) {
			if (null == tempArr[i] || tempArr[i].trim().equals("null")) {
				tempArr[i] = null;
			} else {
				tempArr[i] = tempArr[i].trim();
			}
			arr[i] = tempArr[i];
		}
		code = arr[0];
		tumorCellTypeCode = arr[1];
		tumorCellType = arr[2];
		morphologyClassificationCode = arr[3];
		morphologicalClassification = arr[4];
		validFlag = arr[5];
		uniqueRecordNumber = arr[6];
		dataCreationTime = arr[7];
		dataUpdateTime = arr[8];
		versionNumber = arr[9];
		versionName = arr[10];
	}

}
